#2187 closed defect (fixed)

Broken build SPARC RTEMS 4.11

Reported by: Andrey Owned by: Daniel Hellstrom
Priority: normal Milestone: 4.11
Component: build Version: 4.11
Severity: major Keywords:
Cc: joel.sherrill@…, daniel@…, andreyalright@… Blocked By:
Blocking:

Description

The same problem on CentOS and MacOS maverick reproduced.
latest commit d13ce75 build for SPARC broken.

../../../../../../../rtems-4.11/c/src/lib/libcpu/sparc/../shared/src/cache_manager.c: In function '_invalidate_multiple_instruction_lines_no_range_functions':
../../../../../../../rtems-4.11/c/src/lib/libcpu/sparc/../shared/src/cache_manager.c:458:40: error: 'CPU_INSTRUCTION_CACHE_ALIGNMENT' undeclared (first use in this function)

i_addr = (void *)((size_t)i_addr & ~(CPU_INSTRUCTION_CACHE_ALIGNMENT - 1));


../../../../../../../rtems-4.11/c/src/lib/libcpu/sparc/../shared/src/cache_manager.c:458:40: note: each undeclared identifier is reported only once for each function it appears in
../../../../../../../rtems-4.11/c/src/lib/libcpu/sparc/../shared/src/cache_manager.c: At top level:
../../../../../../../rtems-4.11/c/src/lib/libcpu/sparc/../shared/src/cache_manager.c:440:1: warning: '_invalidate_multiple_instruction_lines_no_range_functions' defined but not used [-Wunused-function]

_invalidate_multiple_instruction_lines_no_range_functions(

make[5]: * shared/src/cache_rel-cache_manager.o Error 1
make[5]: * Waiting for unfinished jobs....
mv -f ../shared/src/.deps/cache_rel-cache_aligned_malloc.Tpo ../shared/src/.deps/cache_rel-cache_aligned_malloc.Po
mv -f access/.deps/access_rel-access_le.Tpo access/.deps/access_rel-access_le.Po
make[4]:
* [all-recursive] Error 1
make[3]: * [all-recursive] Error 1
make[2]:
* [all-recursive] Error 1
make[1]: * [all-recursive] Error 1
make:
* [all-recursive] Error 1
shell cmd failed: /bin/sh -ex /Users/allright/devrt/rtems/src/rtems-source-builder/rtems/build/sparc-rtems4.11-kernel-4.11-1/doit
error: building sparc-rtems4.11-kernel-4.11-1

See error report: rsb-report-sparc-rtems4.11-kernel-4.11-1.txt

Build Set: Time 1:44:24.185098

Change History (4)

comment:1 Changed on Aug 24, 2014 at 7:00:22 AM by Andrey

Cc: Andrey added

comment:2 Changed on Aug 25, 2014 at 1:58:37 PM by Joel Sherrill

Cc: daniel@… joel.sherrill@… added

comment:3 Changed on Aug 25, 2014 at 1:59:01 PM by Joel Sherrill

Owner: changed from Ralf Corsepius to Daniel Hellstrom

comment:4 Changed on Aug 26, 2014 at 12:21:59 PM by Andrey

Resolution: fixed
Status: newclosed

Replying to comment:2:

Hi,

Was this fixed in e7a42a0 "score: Add missing define to cache manager"?

Daniel

Yes, was fixed:)
I've tested on 'rtems: Add more clock tick functions' 96ec8ee

Note: See TracTickets for help on using tickets.